Subject: Re: [PATCH] gitk: show detached HEAD if --all is specified

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Sep 2014 10:02:53 -0700

Max Kirillov <[email-masked]> writes:

> If HEAD is detached, 'gitk --all' does not show it. This is inconvenient
> for frontend program, and for example git log does show the detached HEAD.

"git log" does use the same revision machinery as rev-parse uses
internally to parse its command line arguments.  What does it do
differently?